Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services
Class ExternalServices

    java.lang.Object
      org.jasig.portal.services.ExternalServices

    public class ExternalServices

extends java.lang.Object

ExternalServices starts up all the runtime services for the uPortal. These services can be customized at an installation location by editing the services.xml file under the properties directory. For example, the connection pooling is a service that can be provided by different vendor implementations. Services are bound into the uPortal /services JNDI branch if element is specified in the service description.

Version:
  $Revision: 1.15 $
Author:
  Sridhar Venkatesh

Nested Class Summary
`(package private) class` | `ExternalServices.Argument`
`(package private) class` | `ExternalServices.ServiceHandler`
`(package private) class` | `ExternalServices.ServiceItem`

Field Summary
`private static org.apache.commons.logging.Log` | `log`
`private javax.naming.Context` | `servicesContext`
`private ExternalServices.ServiceHandler` | `svcHandler`

Constructor Summary
`ExternalServices(javax.naming.Context servicesContext)`

Method Summary
`protected javax.xml.parsers.SAXParser` | `createParser()`
`static java.lang.Class` | `getClassObject(java.lang.String className)` Returns the appropriate class for the given class name.
`protected void` | `outputMessage(java.lang.String msg)` Controls output of ExternalServices.
`static void` | `startServices(javax.naming.Context servicesContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### svcHandler

    private ExternalServices.ServiceHandler svcHandler

### servicesContext

    private javax.naming.Context servicesContext

Constructor Detail

### ExternalServices

    public ExternalServices(javax.naming.Context servicesContext)

Method Detail

### startServices

    public static void startServices(javax.naming.Context servicesContext)
                              throws PortalException

  Throws:
    `PortalException`

### createParser

    protected javax.xml.parsers.SAXParser createParser()
                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### outputMessage

    protected void outputMessage(java.lang.String msg)

  Controls output of ExternalServices.

  Parameters:
    `msg` - a string to output

### getClassObject

    public static java.lang.Class getClassObject(java.lang.String className)
                                          throws java.lang.Exception

  Returns the appropriate class for the given class name. Checks to see whether the class belongs to a primitive data type or a Java Object.

  Parameters:
    `className` - - Name of the class. Primitive datatypes must be specified as xxx.class or Xxxx.TYPE. (e.g. int.class or Integer.TYPE).
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD